<?php

namespace Drupal\mail_events\Event;

use Drupal\comment\CommentInterface;
use Symfony\Component\EventDispatcher\Event;

/**
 * Wraps a comment insertion demo event for event listeners.
 */
class InsertQuestionReply extends Event {

  /**
   * Comment entity.
   *
   * @var \Drupal\comment\CommentInterface
   */
  protected $comment;

  /**
   * {@inheritdoc}
   */
  public function __construct(CommentInterface $comment) {
    $this->comment = $comment;
  }

  /**
   * Get the inserted comment.
   */
  public function getEntity() {
    return $this->comment;
  }

}
