<?php

namespace Drupal\mail_events\Services;

use Psr\Log\LoggerInterface;
use Drupal\Core\Mail\MailManagerInterface;

/**
 * Emailer service for node events.
 *
 * @package Drupal\mail_events
 */
class Mailer {

  /**
   * A logger instance.
   *
   * @var \Psr\Log\LoggerInterface
   */
  protected $logger;

  /**
   * InitSubscriber constructor.
   *
   * @param \Psr\Log\LoggerInterface $logger
   *   Logger object.
   * @param \Drupal\Core\Mail\MailManagerInterface $mail_manager
   *   The mail manager.
   */
  public function __construct(
    LoggerInterface $logger,
    MailManagerInterface $mail_manager
  ) {
    $this->logger = $logger;
    $this->mailManager = $mail_manager;
  }

  /**
   * Cron service.
   */
  public function sendEmail($module, $key, $to, $langcode, $params) {
    $result = $this->mailManager->mail($module, $key, $to, $langcode, $params, NULL, TRUE);
    $this->logger->notice('<pre>' . print_r($result, TRUE) . '</pre>');
    if ($result['result'] !== TRUE) {
      $this->logger->notice('There was a problem sending your message and it was not sent.');
    }
    else {
      $this->logger->notice('Mail successfully sent to. ' . $to);
    }
  }

}
